curl --request PUT \
--url https://api.dfns.io/keys/{keyId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-DFNS-USERACTION: <api-key>' \
--data '
{
"name": "<string>"
}
'{
"id": "key-01snl-t56gb-j8tsok0vn802p80i",
"scheme": "ECDSA",
"curve": "ed25519",
"publicKey": "<string>",
"status": "Active",
"custodial": true,
"dateCreated": "2023-04-14T20:41:28.715Z",
"masterKey": true,
"name": "<string>",
"imported": true,
"exported": true,
"dateExported": "2023-04-14T20:41:28.715Z",
"dateDeleted": "2023-04-14T20:41:28.715Z"
}Updates the name of an existing key.
curl --request PUT \
--url https://api.dfns.io/keys/{keyId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-DFNS-USERACTION: <api-key>' \
--data '
{
"name": "<string>"
}
'{
"id": "key-01snl-t56gb-j8tsok0vn802p80i",
"scheme": "ECDSA",
"curve": "ed25519",
"publicKey": "<string>",
"status": "Active",
"custodial": true,
"dateCreated": "2023-04-14T20:41:28.715Z",
"masterKey": true,
"name": "<string>",
"imported": true,
"exported": true,
"dateExported": "2023-04-14T20:41:28.715Z",
"dateDeleted": "2023-04-14T20:41:28.715Z"
}CustomerEmployee)EndUser)Keys:Update: Always required.Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows
User Action Signature: Used to sign the change-inducing API requests. More details how to generate the token: User Action Signing flows
1100Success
Unique identifier for the key.
1 - 64^key-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$"key-01snl-t56gb-j8tsok0vn802p80i"
The cryptographic scheme for the key.
ECDSA, EdDSA, Schnorr The elliptic curve for the key.
ed25519, secp256k1, stark Hex-encoded public key.
Current status of the key.
Active, Archived Whether the key is custodial (owned by organization) or non-custodial (delegated to end user).
Whether this key can be used as a master key for HD derivation.
Derivation info if this key was derived from a master key.
Show child attributes
Nickname for the key.
Whether this key was imported.
Whether this key has been exported.
Was this page helpful?